import { MsHttpClient } from "./MsHttpClient";
import { DefaultClient } from './DefaultClient'

class MsConfig {

    /**
     * 微服务请求地址，消费者可以覆盖自定义实现
     */
    httpClient: MsHttpClient;

    constructor(baseURL: string) {
        this.httpClient = new DefaultClient(baseURL)
    }

}

export default new MsConfig("")